Skip to main content
PATCH
cURL
Rate Limit: 12 requests per second

Immutable Fields

The following fields cannot be modified after creation. Including them in a PATCH returns 400 IMMUTABLE_FIELD and identifies the offending field in the response field key:
  • agent_id
  • integration_id
  • integration_type
  • cycles.enabled
  • cycles.mode
Finished campaigns are read-only and return 409 CAMPAIGN_FINISHED on any PATCH.

Cycle Updates

Cycle fields can only be updated on campaigns that have cycles enabled (400 CYCLES_NOT_ENABLED otherwise). schedule, schedule_start_date, and schedule_end_date are only valid when cycles.mode is scheduled (400 SCHEDULED_MODE_ONLY otherwise).

Examples

Rename a campaign and tighten retries

Update cycle cooldown

Authorizations

Authorization
string
header
required

Add api-key YOUR_API_SECRET_KEY as the value of the Authorization header.

Path Parameters

id
integer
required

The identifier of the Campaign

Body

application/json

Partial Campaign update

Partial update. Any field may be omitted. Immutable fields (agent_id, integration_id, integration_type, cycles.enabled, cycles.mode) cannot be included.

name
string
Maximum string length: 255
description
string
timezone
string
retries
integer
Required range: 0 <= x <= 5
message_limit
integer
Required range: 1 <= x <= 10000
scheduling
object
first_message
string
template
string
template_alt
string
cycles
object

Cycles configuration block. Phone-call campaigns only.

Response

Campaign updated successfully

success
boolean
campaign
object

Single Campaign detail with nested agent, integration and cycles config. The analytics field is included only when a snapshot is available for the campaign.